=== src/includes/CMakeLists.txt ===
install( FILES
  KACL
  K4AboutData
  KAboutApplicationDialog
  KAboutData
  KAboutPerson
  KAcceleratorManager
  KAction
  KActionCategory
  KActionCollection
  KActionMenu
  KActionSelector
  KAnimatedButton
  KApplication
  KAr
  KArchive
  KArchiveDirectory
  KArchiveEntry
  KArchiveFile
  KAscii
  KAssistantDialog
  KAuthorized
  KAutoMount
  KAutoUnmount
  KAutoSaveFile
  KAutostart
  KBookmark
  KBookmarkAction
  KBookmarkActionInterface
  KBookmarkActionMenu
  KBookmarkDialog
  KBookmarkDomBuilder
  KBookmarkExporterBase
  KBookmarkGroup
  KBookmarkGroupTraverser
  KBookmarkImporterBase
  KBookmarkManager
  KBookmarkMenu
  KBookmarkOwner
  KBreadcrumbSelectionModel
  KBugReport
  KBuildSycocaProgressDialog
  KButtonGroup
  KCapacityBar
  KCModule
  KCModuleContainer
  KCModuleInfo
  KCModuleLoader
  KCModuleProxy
  KCMultiDialog
  KIdleTime
  KCalendarSystem
  KCalendarSystemFactory
  KCharMacroExpander
  KCharSelect
  KCharsets
  KCheckableProxyModel
  KCmdLineArgs
  KCmdLineOptions
  KCodecAction
  KCodecs
  KColor
  KColorButton
  KColorCells
  KColorCollection
  KColorCombo
  KColorDialog
  KColorMimeData
  KColorPatch
  KColorScheme
  KColorTable
  KColorUtils
  KColorValueSelector
  KComboBox
  KCompletion
  KCompletionBase
  KCompletionBox
  KCompletionMatches
  KCompositeJob
  KConfig
  KConfigBase
  KConfigDialog
  KConfigDialogManager
  KConfigGroup
  KConfigSkeleton
  KConfigSkeletonGenericItem
  KConfigSkeletonItem
  KSharedConfigPtr
  KCrash
  KCrashBookmarkImporter
  KCrashBookmarkImporterImpl
  KCurrencyCode
  KCursor
  KDBusServiceStarter
  KDebug
  KDeviceListModel
  KDEDModule
  KDEPrintDialog
  KDataTool
  KDataToolAction
  KDataToolInfo
  KDateComboBox
  KDatePicker
  KDateTable
  KDateTime
  KDateTimeEdit
  KDateTimeWidget
  KDateValidator
  KDateWidget
  KDescendantsProxyModel
  KDesktopFile
  KDialog
  KDialogButtonBox
  KDialogJobUiDelegate
  KDirLister
  KDirModel
  KDirNotify
  KDirOperator
  KDirSortFilterProxyModel
  KDirSelectDialog
  KDirWatch
  KDualAction
  KFilePreviewGenerator
  KFilePlacesView
  KFileWidget
  KFileWritePlugin
  KDiskFreeSpaceInfo
  KDoubleNumInput
  KDoubleValidator
  KEMailSettings
  KEditListWidget
  KEditToolBar
  KEncodingFileDialog
  KEncodingProber
  KExtendableItemDelegate
  KFadeWidgetEffect
  KFile
  KFileDialog
  KFileFilterCombo
  KFileItem
  KFileItemActions
  KFileItemList
  KFileItemListProperties
  KFileItemDelegate
  KFileMetaDataWidget
  KFileMetaInfo
  KFileMetaInfoGroup
  KFileMetaInfoItem
  KFilePlacesModel
  KFileShare
  KFileSharePropsPlugin
  KFileTreeBranch
  KFileTreeView
  KFilterBase
  KFilterDev
  KFind
  KFindDialog
  KFontAction
  KFontChooser
  KFontComboBox
  KFontDialog
  KFontRequester
  KFontSizeAction
  KFontUtils
  KGenericFactory
  KGenericFactoryBase
  KGlobal
  KGlobalAccel
  KGlobalSettings
  KGlobalShortcutInfo
  KGradientSelector
  KGuiItem
  KHBox
  KHTMLPart
  KHTMLSettings
  KHTMLView
  KHelpMenu
  KHistoryComboBox
  KHueSaturationSelector
  KIEBookmarkExporterImpl
  KIEBookmarkImporter
  KIEBookmarkImporterImpl
  KIMProxy
  KIcon
  KIconButton
  KIconDialog
  KIconEffect
  KIconLoader
  KIconTheme
  KIdentityProxyModel
  KImageCache
  KImageFilePreview
  KImageIO
  KInputDialog
  KComponentData
  KIntNumInput
  KIntSpinBox
  KIntValidator
  KJob
  KJobTrackerInterface
  KJobUiDelegate
  KKeySequenceWidget
  KLanguageButton
  KLed
  KLibLoader
  KLibrary
  KLineEdit
  KLinkItemSelectionModel
  KListWidget
  KListWidgetSearchLine
  KLocale
  KLocalizedDate
  KLocalizedString
  KLockFile
  KMD5
  KMacroExpanderBase
  KMainWindow
  KMakeTypeList
  KMenu
  KMenuBar
  KMessage
  KMessageBox
  KMessageBoxMessageHandler
  KMessageHandler
  KMessageWidget
  KMimeType
  KMimeTypeChooser
  KMimeTypeChooserDialog
  KMimeTypeTrader
  KModelIndexProxyMapper
  KMozillaBookmarkImporterImpl
  KModifierKeyInfo
  KMountPoint
  KMultiTabBar
  KMultiTabBarButton
  KMultiTabBarTab
  KNameAndUrlInputDialog
  KNFSShare
  KNSBookmarkExporter
  KNSBookmarkExporterImpl
  KNSBookmarkImporter
  KNSBookmarkImporterImpl
  KNTLM
  KNewFileMenu
  KNewPasswordDialog
  KNotification
  KNotificationRestrictions
  KNotifyConfigWidget
  KNumInput
  KOCRDialog
  KOpenWithDialog
  KOperaBookmarkExporterImpl
  KOperaBookmarkImporter
  KOperaBookmarkImporterImpl
  KPageDialog
  KPageModel
  KPageView
  KPageWidget
  KPageWidgetItem
  KPageWidgetModel
  KPassivePopup
  KPassivePopupMessageHandler
  KPasswordDialog
  KPasteTextAction
  KPixmapCache
  KPixmapProvider
  KPixmapRegionSelectorDialog
  KPixmapRegionSelectorWidget
  KPlotAxis
  KPlotObject
  KPlotPoint
  KPlotWidget
  KPluginFactory
  KPluginInfo
  KPluginLoader
  KPluginSelector
  KPopupFrame
  KPreviewWidgetBase
  KPrintPreview
  KProcess
  KProgressDialog
  KPropertiesDialog
  KProtocolInfo
  KProtocolManager
  KPushButton
  KRandom
  KRandomSequence
  KRatingPainter
  KRatingWidget
  KRecentDocument
  KRecentFilesAction
  KRecursiveFilterProxyModel
  KRegExpEditorInterface
  KRemoteEncoding
  KReplace
  KReplaceDialog
  KRestrictedLine
  KRichTextEdit
  KRichTextWidget
  KRuler
  KRun
  KSambaShare
  KSambaShareData
  KSaveFile
  KScanDialog
  KSelectAction
  KSelectionOwner
  KSelectionProxyModel
  KSelectionWatcher
  KSelector
  KSeparator
  KService
  KServiceAction
  KServiceGroup
  KServiceType
  KServiceTypeProfile
  KServiceTypeTrader
  KSessionManager
  KSharedConfig
  KSharedDataCache
  KSharedPtr
  KShell
  KShellCompletion
  KShortcut
  KShortcutsDialog
  KShortcutsEditor
  KShortcutWidget
  KSortableItem
  KSortableList
  KSplashScreen
  KSqueezedTextLabel
  KStandardDirs
  KStandardAction
  KStandardGuiItem
  KStandardShortcut
  KStartupInfo
  KStartupInfoData
  KStartupInfoId
  KStatusBar
  KStatusBarJobTracker
  KStatusBarOfflineIndicator
  KStatusNotifierItem
  KStringHandler
  KStringListValidator
  KStyle
  KStyleFactory
  KSycoca
  KSycocaEntry
  KSystemEventFilter
  KSystemTimeZone
  KSystemTimeZoneSource
  KSystemTimeZones
  KSystemTrayIcon
  KTabBar
  KTabWidget
  KTar
  KTempDir
  KTemporaryFile
  KTextBrowser
  KTextEdit
  KTimeComboBox
  KTimeZone
  KTimeZoneData
  KTimeZoneSource
  KTimeZoneWidget
  KTimeZones
  KTipDatabase
  KTipDialog
  KTitleWidget
  KToggleAction
  KToggleFullScreenAction
  KToggleToolBarAction
  KToolBar
  KToolBarLabelAction
  KToolBarPopupAction
  KToolBarSpacerAction
  KToolInvocation
  KTreeWidgetSearchLine
  KTreeWidgetSearchLineWidget
  KTypeList
  KTypeListIndexOf
  KTypeListLength
  KTzfileTimeZone
  KTzfileTimeZoneSource
  KUndoActions
  KUniqueApplication
  KUriFilter
  KUriFilterData
  KUriFilterPlugin
  KUrl
  KUrlAuthorized
  KUrlComboBox
  KUrlComboRequester
  KUrlCompletion
  KUrlLabel
  KUrlNavigator
  KUrlPixmapProvider
  KUrlRequester
  KUrlRequesterDialog
  KUser
  KUserGroup
  KVBox
  KViewStateMaintainer
  KViewStateSaver
  KWindowInfo
  KWindowSystem
  KWordMacroExpander
  KWordWrap
  KXBELBookmarkImporterImpl
  KXErrorHandler
  KXMLGUIBuilder
  KXMLGUIClient
  KXMLGUIFactory
  KXmlGuiWindow
  KXMessages
  KXYSelector
  KZip
  KZipFileEntry
  KonqBookmarkMenu
  KonqBookmarkOwner
  NET
  NETRootInfo
  NETWinInfo
  OrgKdeKDirNotifyInterface
  ThumbCreator
  kdbgstream
  kndbgstream
  KCategorizedView
  KCategoryDrawer
  KCategorizedSortFilterProxyModel
  KEmoticons
  KEmoticonsProvider
  KEmoticonsTheme
  KFilterProxySearchLine
  KWidgetItemDelegate
  KWidgetJobTracker
  KPixmapSequence
  KPixmapSequenceWidget
  KPixmapSequenceOverlayPainter
  KGraphicsWebView
  KWebPage
  KWebView
  KWebPluginFactory
  KWebWallet
DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDELibs4Support/KDE COMPONENT Devel)

if(NOT KDELIBS4SUPPORT_NO_DEPRECATED)
install( FILES
  KArrowButton
  KEditListBox
  KDiskFreeSpace
  KMimeTypeResolver
DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDELibs4Support/KDE COMPONENT Devel)
endif()

if (UNIX)
   install( FILES
     KDEsuClient
     KPty
     KPtyDevice
     KPtyProcess
     PtyProcess
     SshProcess
     StubProcess
     SuProcess
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDELibs4Support/KDE COMPONENT Devel)
endif ()

install( FILES
  ConversionCheck/QVconvertible
  ConversionCheck/type_toQString
  ConversionCheck/type_toQVariant
DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDELibs4Support/KDE/ConversionCheck COMPONENT Devel)


install( FILES
  KDNSSD/Configuration
  KDNSSD/DomainBrowser
  KDNSSD/DomainModel
  KDNSSD/PublicService
  KDNSSD/RemoteService
  KDNSSD/ServiceBase
  KDNSSD/ServiceBrowser
  KDNSSD/ServiceModel
  KDNSSD/ServiceTypeBrowser
DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDELibs4Support/KDE/KDNSSD COMPONENT Devel)


install( FILES
  DOM/AbstractView
  DOM/Attr
  DOM/CDATASection
  DOM/CSSCharsetRule
  DOM/CSSException
  DOM/CSSFontFaceRule
  DOM/CSSImportRule
  DOM/CSSMediaRule
  DOM/CSSPageRule
  DOM/CSSPrimitiveValue
  DOM/CSSRule
  DOM/CSSRuleList
  DOM/CSSStyleDeclaration
  DOM/CSSStyleRule
  DOM/CSSStyleSheet
  DOM/CSSUnknownRule
  DOM/CSSValue
  DOM/CSSValueList
  DOM/CharacterData
  DOM/Comment
  DOM/Counter
  DOM/CustomNodeFilter
  DOM/DOMException
  DOM/DOMImplementation
  DOM/DOMString
  DOM/Document
  DOM/DocumentFragment
  DOM/DocumentStyle
  DOM/DocumentType
  DOM/DomShared
  DOM/Element
  DOM/Entity
  DOM/EntityReference
  DOM/Event
  DOM/EventException
  DOM/EventListener
  DOM/HTMLAnchorElement
  DOM/HTMLAppletElement
  DOM/HTMLAreaElement
  DOM/HTMLBRElement
  DOM/HTMLBaseElement
  DOM/HTMLBaseFontElement
  DOM/HTMLBlockquoteElement
  DOM/HTMLBodyElement
  DOM/HTMLButtonElement
  DOM/HTMLCollection
  DOM/HTMLDListElement
  DOM/HTMLDirectoryElement
  DOM/HTMLDivElement
  DOM/HTMLDocument
  DOM/HTMLElement
  DOM/HTMLFieldSetElement
  DOM/HTMLFontElement
  DOM/HTMLFormCollection
  DOM/HTMLFormElement
  DOM/HTMLFrameElement
  DOM/HTMLFrameSetElement
  DOM/HTMLHRElement
  DOM/HTMLHeadElement
  DOM/HTMLHeadingElement
  DOM/HTMLHtmlElement
  DOM/HTMLIFrameElement
  DOM/HTMLImageElement
  DOM/HTMLInputElement
  DOM/HTMLIsIndexElement
  DOM/HTMLLIElement
  DOM/HTMLLabelElement
  DOM/HTMLLayerElement
  DOM/HTMLLegendElement
  DOM/HTMLLinkElement
  DOM/HTMLMapElement
  DOM/HTMLMenuElement
  DOM/HTMLMetaElement
  DOM/HTMLModElement
  DOM/HTMLOListElement
  DOM/HTMLObjectElement
  DOM/HTMLOptGroupElement
  DOM/HTMLOptionElement
  DOM/HTMLParagraphElement
  DOM/HTMLParamElement
  DOM/HTMLPreElement
  DOM/HTMLQuoteElement
  DOM/HTMLScriptElement
  DOM/HTMLSelectElement
  DOM/HTMLStyleElement
  DOM/HTMLTableCaptionElement
  DOM/HTMLTableCellElement
  DOM/HTMLTableColElement
  DOM/HTMLTableElement
  DOM/HTMLTableRowElement
  DOM/HTMLTableSectionElement
  DOM/HTMLTextAreaElement
  DOM/HTMLTitleElement
  DOM/HTMLUListElement
  DOM/KeyboardEvent
  DOM/LinkStyle
  DOM/MediaList
  DOM/MouseEvent
  DOM/MutationEvent
  DOM/NamedNodeMap
  DOM/Node
  DOM/NodeFilter
  DOM/NodeIterator
  DOM/NodeList
  DOM/Notation
  DOM/ProcessingInstruction
  DOM/RGBColor
  DOM/Range
  DOM/RangeException
  DOM/Rect
  DOM/StyleSheet
  DOM/StyleSheetList
  DOM/Text
  DOM/TextEvent
  DOM/TreeWalker
  DOM/UIEvent
DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDELibs4Support/KDE/DOM COMPONENT Devel)


install( FILES
  KAccelGen/Deref
  KAccelGen/Deref_Key
DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDELibs4Support/KDE/KAccelGen COMPONENT Devel)

install( FILES
  KIO/AccessManager
  KIO/AuthInfo
  KIO/ChmodJob
  KIO/Connection
  KIO/CopyInfo
  KIO/CopyJob
  KIO/DavJob
  KIO/DeleteJob
  KIO/FileCopyJob
  KIO/FileJob
  KIO/ForwardingSlaveBase
  KIO/Job
  KIO/JobClasses
  KIO/JobUiDelegate
  KIO/ListJob
  KIO/MetaData
  KIO/MetaInfoJob
  KIO/MimetypeJob
  KIO/MultiGetJob
  KIO/NetAccess
  KIO/NetRC
  KIO/PreviewJob
  KIO/RenameDialog
  KIO/Scheduler
  KIO/SessionData
  KIO/SimpleJob
  KIO/SkipDialog
  KIO/Slave
  KIO/SlaveBase
  KIO/SlaveConfig
  KIO/SlaveInterface
  KIO/StatJob
  KIO/StoredTransferJob
  KIO/TCPSlaveBase
  KIO/Task
  KIO/TransferJob
DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDELibs4Support/KDE/KIO COMPONENT Devel)

if(NOT KDELIBS4SUPPORT_NO_DEPRECATED)
install( FILES
