=== debian/changelog ===
kdelibs4support (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Bhushan Shah ]
  * Add build-dep to kded5-dev, required for kdedmodule.desktop

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:19:51 +0100

kdelibs4support (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).
  * Update symbols files from buildds logs (5.15.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:39 +0100

kdelibs4support (5.15.0-1) unstable; urgency=medium

  * Update symbols files from buildds logs (5.14.0-1).
  * New upstream release (5.15.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:39 +0200

kdelibs4support (5.15.0-0ubuntu2) xenial; urgency=medium

  * Adjust debian/tests/control to allow stderr output from dh-acc (which
    now happens because it tries to pass -std=c++11 to gcc instead of g++,
    but may happen for other reasons later).  Better to have a clean test
    with stderr than a continually failing test that people ignore.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 01 Nov 2015 19:17:24 -0600

kdelibs4support (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:39 +0200

kdelibs4support (5.13.0-3) unstable; urgency=medium

  * Update symbols files from buildds logs (5.13.0-2).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 08:01:07 +0200

kdelibs4support (5.13.0-2) unstable; urgency=medium

  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Sep 2015 19:42:49 +0200

kdelibs4support (5.13.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Restrict the network-manager-dev build dependency as linux-any,
    as NetworkManager is specific to Linux.
  * Remove explicit library build dependencies libqt5concurrent5, libqt5dbus5,
    libqt5gui5, libqt5network5, libqt5printsupport5, libqt5test5,
    libqt5widgets5, and libqt5xml5, as they are covered already by qtbase5-dev.

  [ Maximiliano Curia ]
  * New upstream release (5.13.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Sep 2015 12:49:28 +0200

kdelibs4support (5.12.0-2) unstable; urgency=medium

  * Team upload.
  * Remove incorrect build-dep on libecm-dev
  * Bump Kf5 build-dep/depends versions to 5.12

 -- Scott Kitterman <scott@kitterman.com>  Thu, 16 Jul 2015 23:42:07 -0400

kdelibs4support (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:55 +0200
